Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\IO\UrlDecorator\Prefix Class Reference

Prefixes the URI with a string. More...

Inheritance diagram for eZ\Publish\Core\IO\UrlDecorator\Prefix:

## Public Member Functions
| __construct ($prefix=null)
| setPrefix ($prefix)
| decorate ($id)
| Decorates $uri. More...
| undecorate ($url)
| Un-decorates decorated $uri. More...

## Protected Attributes
| $prefix

## Detailed Description

Prefixes the URI with a string.

Ensures an initial / in the parameter.

Definition at line 15 of file Prefix.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\IO\UrlDecorator\Prefix::__construct | ( |  | $prefix = `null` | ) |

Definition at line 24 of file Prefix.php.

References eZ\Publish\Core\IO\UrlDecorator\Prefix\$prefix, and eZ\Publish\Core\IO\UrlDecorator\Prefix\setPrefix().

## Member Function Documentation

## ◆ decorate()

eZ\Publish\Core\IO\UrlDecorator\Prefix::decorate | ( |  | $uri | ) |

Decorates $uri.

Parameters

  string | $uri |

Returns
  string Decorated string

Implements eZ\Publish\Core\IO\UrlDecorator.

Definition at line 36 of file Prefix.php.

## ◆ setPrefix()

eZ\Publish\Core\IO\UrlDecorator\Prefix::setPrefix | ( |  | $prefix | ) |

Reimplemented in eZ\Publish\Core\IO\UrlDecorator\AbsolutePrefix.

Definition at line 31 of file Prefix.php.

References eZ\Publish\Core\IO\UrlDecorator\Prefix\$prefix.

Referenced by eZ\Publish\Core\IO\UrlDecorator\Prefix\__construct().

## ◆ undecorate()

eZ\Publish\Core\IO\UrlDecorator\Prefix::undecorate | ( |  | $uri | ) |

Un-decorates decorated $uri.

Parameters

  $uri |

Returns
  string Un-decorated string

Implements eZ\Publish\Core\IO\UrlDecorator.

Definition at line 45 of file Prefix.php.

## Member Data Documentation

## ◆ $prefix

eZ\Publish\Core\IO\UrlDecorator\Prefix::$prefix
| protected

Definition at line 22 of file Prefix.php.

Referenced by eZ\Publish\Core\IO\UrlDecorator\Prefix\__construct(), eZ\Publish\Core\IO\UrlDecorator\AbsolutePrefix\setPrefix(), and eZ\Publish\Core\IO\UrlDecorator\Prefix\setPrefix().

The documentation for this class was generated from the following file:

- Prefix.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.